## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname inquirer

Name:           python-%{srcname}
Version:        3.1.3
Release:        %autorelease
Summary:        Collection of common interactive command line user interfaces

License:        MIT
URL:            https://github.com/magmax/python-inquirer
# The PyPI tarball doesn't include tests so use GitHub instead
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pexpect
BuildRequires:  python3-pytest
BuildRequires:  sed

%global _description %{expand:
This package provides a collection of common interactive command line user
interfaces, based on Inquirer.js.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1

# Fix interpreter invocations in tests
sed -i 's:python:python3:g' tests/acceptance/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license %{python3_sitelib}/%{srcname}-%{version}.dist-info/LICENSE
%doc README.md

%changelog
* Tue Jan 09 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 3.1.3-1
- Initial import; Fixes: RHBZ#2223010
